OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class Scheduler.NodeInfo

    java.lang.Object
      org.opennms.netmgt.capsd.Scheduler.NodeInfo

Enclosing class:
  Scheduler

final class Scheduler.NodeInfo
extends java.lang.Object

This class encapsulates the information about a node necessary to schedule the node for rescans.

Field Summary
`(package private) long` `m_interval`
`(package private) java.sql.Timestamp` `m_lastScanned`
`(package private) int` `m_nodeId`
`(package private) boolean` `m_scheduled`

Constructor Summary
`(package private)` `Scheduler.NodeInfo(int nodeId, java.util.Date lastScanned, long interval)`
`(package private)` `Scheduler.NodeInfo(int nodeId, java.sql.Timestamp lastScanned, long interval)`

Method Summary
`(package private) java.sql.Timestamp` `getLastScanned()`
`(package private) int` `getNodeId()`
`(package private) long` `getRescanInterval()`
`(package private) boolean` `isScheduled()`
`(package private) void` `setLastScanned(java.util.Date lastScanned)`
`(package private) void` `setLastScanned(java.sql.Timestamp lastScanned)`
`(package private) void` `setScheduled(boolean scheduled)`
`(package private) boolean` `timeForRescan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_nodeId

    int m_nodeId

### m_lastScanned

    java.sql.Timestamp m_lastScanned

### m_interval

    long m_interval

### m_scheduled

    boolean m_scheduled

Constructor Detail

### Scheduler.NodeInfo

    Scheduler.NodeInfo(int nodeId,
                       java.sql.Timestamp lastScanned,
                       long interval)

### Scheduler.NodeInfo

    Scheduler.NodeInfo(int nodeId,
                       java.util.Date lastScanned,
                       long interval)

Method Detail

### isScheduled

    boolean isScheduled()

### getNodeId

    int getNodeId()

### getLastScanned

    java.sql.Timestamp getLastScanned()

### getRescanInterval

    long getRescanInterval()

### setScheduled

    void setScheduled(boolean scheduled)

### setLastScanned

    void setLastScanned(java.util.Date lastScanned)

### setLastScanned

    void setLastScanned(java.sql.Timestamp lastScanned)

### timeForRescan

    boolean timeForRescan()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.